com.h3c.sdn.adm

## Interface BackupService

- All Known Implementing Classes:
    BackupRestoreComponent, BackupTeamProxy

      public interface BackupService

  Various services to backup and restore the controller.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `downloadBackup(String systemId, boolean csum, Authentication auth)` Download backup to a safe location
    `BackupStatus` | `getBackupStatus(Token token, Authentication auth)` Get backup status.
    `BackupInformation` | `getLastRestoreInformation(String systemId, Authentication auth)` Get last restore information.
    `Token` | `startSystemBackup(String systemId, Authentication auth)` Backup controller system.
    `Token` | `startSystemRestore(String systemId, Authentication auth)` Restore controller system.
    `void` | `uploadBackup(String filename, InputStream in, String systemId, Authentication auth)` Upload backup to a URL.

- - ### Method Detail

    - #### startSystemBackup

          Token startSystemBackup(String systemId,
                                Authentication auth)

      Backup controller system.
      Parameters:
        `systemId` - the system unique Id
        `auth` - the authentication record for the user that invoked this method
      Returns:
        Token instance

    - #### getBackupStatus

          BackupStatus getBackupStatus(Token token,
                                     Authentication auth)

      Get backup status.
      Parameters:
        `token` - Token instance
        `auth` - the authentication record for the user that invoked this method
      Returns:
        BackupStatus instance

    - #### downloadBackup

          File downloadBackup(String systemId,
                            boolean csum,
                            Authentication auth)

      Download backup to a safe location
      Parameters:
        `systemId` - the unique system id
        `csum` - set to true to download the checksum
        `auth` - the authentication record for the user that invoked this method
      Returns:
        the output stream for the backup/checksum file

    - #### uploadBackup

          void uploadBackup(String filename,
                          InputStream in,
                          String systemId,
                          Authentication auth)

      Upload backup to a URL.
      Parameters:
        `filename` - filename
        `in` - the input stream
        `systemId` - the unique system id
        `auth` - the authentication record for the user that invoked this method

    - #### startSystemRestore

          Token startSystemRestore(String systemId,
                                 Authentication auth)

      Restore controller system.
      Parameters:
        `systemId` - the unique system id
        `auth` - the authentication record for the user that invoked this method
      Returns:
        Token instance

    - #### getLastRestoreInformation

          BackupInformation getLastRestoreInformation(String systemId,
                                                    Authentication auth)

      Get last restore information.
      Parameters:
        `systemId` - the unique system id
        `auth` - the authentication record for the user that invoked this method
      Returns:
        BackupInformation instance

Copyright © 2014. All Rights Reserved.